Skip to content

List all authorization servers for an MCP server

Request

Beta
OAuth 2.0 scope:
  • okta.resourceServers.mcpServers.read
Admin roles:
  • SUPER_ADMIN

Lists all authorization servers for a third-party Model Context Protocol (MCP) server.

For DISCOVERABLE MCP servers, authorization servers are automatically discovered from the MCP server's .well-known/oauth-protected-resource endpoint and populated from the .well-known/oauth-authorization-server endpoint, and their operational status is managed automatically through that detection process.

Path
mcpServerIdstringrequired

ID of an MCP server

Example:ems8nUa7p0g4zrZbs2f4
Query
afterstring

The cursor to use for pagination. It is an opaque string that specifies your current location in the list and is obtained from the Link response header. See Pagination and Link header.

limitinteger, [ 1 .. 200 ]

A limit on the number of objects to return

Default:20
filterstring, (scim-filter)

Filters the results with a filtering expression. This supports the following operators:

  • eq operator for the status property

Note: This operation requires URL encoding. See Special characters.

Example:filter=status eq "ACTIVE"
GET
/resource-servers/api/v1/mcp-servers/{mcpServerId}/authorization-servers
curl -i -X GET \
  'https://subdomain.okta.com/resource-servers/api/v1/mcp-servers/ems8nUa7p0g4zrZbs2f4/authorization-servers?after=string&limit=20&filter=status%20eq%20%22ACTIVE%22'

Responses

OK

Bodyapplication/json
dataArray of objects(MCPServerAuthorizationServer)required
Response
{ "data": [ {}, {}, {}, {}, {} ], "_links": { "self": {}, "parent": {} } }